commit:     d152217464aacb2722f8652243a9f3b571fa537d
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 30 18:54:48 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 30 19:08:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1522174

x11-base/xorg-proto: Version bump to 2021.4

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-base/xorg-proto/Manifest                 |  1 +
 x11-base/xorg-proto/xorg-proto-2021.4.ebuild | 54 ++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/x11-base/xorg-proto/Manifest b/x11-base/xorg-proto/Manifest
index 538ac79ab77..8099f908503 100644
--- a/x11-base/xorg-proto/Manifest
+++ b/x11-base/xorg-proto/Manifest
@@ -1,2 +1,3 @@
 DIST xorgproto-2020.1.tar.gz 1081369 BLAKE2B 
1bed8d65499926a830180ee1fce5e5e57a276a6412231508eabb6c5eea5ee20dcce4046fc82203d5be88d1f24fb7919289393551d339e5cf5cb80b1c14f22c42
 SHA512 
d0bc3aec517fd00fa5fd32a5715760c34810a19154e10fb1f92f2e2fe7f26136f7ba9b76b47fcd37c3c4796663154f4e5abf6a18dd634619b0f718f3e4737ae9
 DIST xorgproto-2021.3.tar.gz 1130599 BLAKE2B 
21aa84621984cd2635871c059ecbfe2c6290c74a3569f15cdce6080dd7e4106726ae9338112c075c8f64332ecb555a4ccb666bd7bf7e9bb1156b4591e5f37908
 SHA512 
0c2610551cc180b619611e0ad344e1a01cb0e5e83b3c8643cd6dbe19d8acc3a22e7c1522855923159dd753e4458c9f2d65b709bb045b27e17b83aa8c264e3d5a
+DIST xorgproto-2021.4.tar.gz 1141941 BLAKE2B 
016a3c2f30ed064855de2a13d86a4b7bc9420ff10e8ac3ba97e08512fef6f0495a69dcaea7f12c7d8694a52284b500a38aee73de7bf2ff0a295715354d04eab0
 SHA512 
5f4c94d3ee20635f2358d7644be54d5e291bafba15a7713583acbb3564c2799da4ba33ffba625273fe015e4ab733cbaec146467804fd2174eb5fd1ff3bf21019

diff --git a/x11-base/xorg-proto/xorg-proto-2021.4.ebuild 
b/x11-base/xorg-proto/xorg-proto-2021.4.ebuild
new file mode 100644
index 00000000000..3544d1e5d5e
--- /dev/null
+++ b/x11-base/xorg-proto/xorg-proto-2021.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+MY_PN="${PN/xorg-/xorg}"
+MY_P="${MY_PN}-${PV}"
+
+EGIT_REPO_URI="https://gitlab.freedesktop.org/xorg/proto/${MY_PN}.git";
+
+if [[ ${PV} = 9999* ]]; then
+       GIT_ECLASS="git-r3"
+fi
+
+inherit ${GIT_ECLASS} meson python-any-r1
+
+DESCRIPTION="X.Org combined protocol headers"
+HOMEPAGE="https://gitlab.freedesktop.org/xorg/proto/xorgproto";
+if [[ ${PV} = 9999* ]]; then
+       SRC_URI=""
+else
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~x64-macos 
~x64-solaris"
+       
SRC_URI="https://xorg.freedesktop.org/archive/individual/proto/${MY_P}.tar.gz";
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       test? (
+               $(python_gen_any_dep '
+                       dev-python/python-libevdev[${PYTHON_USEDEP}]
+               ')
+       )
+"
+RDEPEND=""
+
+python_check_deps() {
+       has_version -b "dev-python/python-libevdev[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_install() {
+       meson_src_install
+
+       mv "${ED}"/usr/share/doc/{xorgproto,${P}} || die
+}

Reply via email to